REPORTS
Generate Threat Report
Generate a report for one threat
POST
/
v1
/
reports
/
threats
Generate threat report
curl --request POST \
--url https://api.intrace.ai/v1/reports/threats \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"threat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.intrace.ai/v1/reports/threats"
payload = { "threat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({threat_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.intrace.ai/v1/reports/threats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"title": "<string>"
}Request Body
{
"threat_id": "4f5d1cc9-d4cc-49a1-a3fc-5ec93d674bc8"
}
Response
{
"reportId": "0e72da56-a3c9-4445-bd74-7e9b0ac7c47c",
"status": "completed",
"title": "Threat Report"
}
⌘I
Generate threat report
